FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » upgrade to 3.0.3 from 3.0.1 error
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
upgrade to 3.0.3 from 3.0.1 error [message #166835] Sun, 04 March 2012 03:46 Go to next message
herve is currently offline  herve   France
Messages: 22
Registered: October 2010
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Hello,

When executing the 3.0.3 upgrade.php script I got the error below :

Fatal error: Call to undefined function db_version() in /home/forum/upgrade.php on line 620

What can I do ?

Thank you for your help!

Regards

[Updated on: Sun, 04 March 2012 03:46]

Report message to a moderator

Aw: upgrade to 3.0.3 from 3.0.1 error [message #166864 is a reply to message #166835] Sun, 11 March 2012 09:36 Go to previous messageGo to next message
-ml- is currently offline  -ml-
Messages: 12
Registered: March 2012
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
I got exactly the same problem when trying to upgrade from 3.0.1 to 3.0.3

Any help is highly appreciated. Here are my installation details:

FUDforum version: 	3.0.1
PHP version: 	5.3.3-7+squeeze8
PHP built on: 	Linux rechenknecht 2.6.32-5-amd64 #1 SMP Mon Jan 16 16:22:28 UTC 2012 x86_64
Database type: 	pgsql (pgsql)
Database version: 	PostgreSQL 8.4.11 on x86_64-pc-linux-gnu, compiled by GCC gcc-4.4.real (Debian 4.4.5-8) 4.4.5, 64-bit
Web server: 	Apache/2.2
Web server to PHP interface: 	apache2handler
WebServer User/Group: 	33 / 33
Relevant PHP settings: 	
Safe mode: 	OFF
Open basedir: 	none
Display errors: 	OFF
File uploads: 	ON
Maximum file upload size: 	20M
Magic quotes: 	OFF
Register globals: 	OFF
Output buffering: 	Yes
Disabled functions: 	none
PSpell support: 	No
Zlib support: 	Yes


Kind regards
Re : upgrade to 3.0.3 from 3.0.1 error [message #166865 is a reply to message #166835] Sun, 11 March 2012 10:37 Go to previous messageGo to next message
herve is currently offline  herve   France
Messages: 22
Registered: October 2010
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
My installation details :

FUDforum version: 	3.0.1
PHP version: 	5.3.5
PHP built on: 	FreeBSD server7 8.2-RELEASE-p3 FreeBSD 8.2-RELEASE-p3 #16: Wed Sep 28 11:15:18 UTC 2011 amd64
Database type: 	mysql (mysql)
Database version: 	5.1.51-log
Web server: 	Apache/2.2.21 (FreeBSD) mod_ssl/2.2.21 OpenSSL/1.0.0c mod_hcgi/0.9.4 DAV/2
Web server to PHP interface: 	cgi-fcgi
WebServer User/Group: 	139309 / 139309
Relevant PHP settings: 	
Safe mode: 	OFF
Open basedir: 	none
Display errors: 	ON
File uploads: 	ON
Maximum file upload size: 	16M
Magic quotes: 	ON
Register globals: 	OFF
Output buffering: 	Yes
Disabled functions: 	none
PSpell support: 	Yes
Zlib support: 	Yes
Re: Re : upgrade to 3.0.3 from 3.0.1 error [message #167022 is a reply to message #166865] Mon, 16 April 2012 09:41 Go to previous message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Fixed at http://fudforum.svn.sourceforge.net/viewvc/fudforum/trunk/install/forum_dat a/include/dbadmin.inc?r1=5266&r2=5323
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Installation error 2013
Next Topic: Running upgrade file from FTP?
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Wed Oct 18 16:35:47 EDT 2017

Total time taken to generate the page: 0.00657 seconds